Name:           maven-reporting-api
Version:        3.1.1
Release:        %mkrel 1
Group:          Development/Java
Epoch:          1
Summary:        API to manage report generation
License:        Apache-2.0
URL:            https://maven.apache.org/shared/maven-reporting-api
Source0:        https://archive.apache.org/dist/maven/reporting/%{name}-%{version}-source-release.zip
# Source file signature
Source1:        https://archive.apache.org/dist/maven/reporting/%{name}-%{version}-source-release.zip.asc
# Apache Maven public key
Source2:        https://www.apache.org/dist/maven/KEYS

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  gnupg2
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)

%{?javadoc_package}

%description
API to manage report generation.  Maven-reporting-api is included in the
Maven 2.x core distribution, but was moved to shared components to
achieve report decoupling from the Maven 3 core.

%prep
%{gpgverify} --data=%{SOURCE0} --signature=%{SOURCE1} --keyring=%{SOURCE2}
%autosetup

# Fix end of line encoding
sed -i.orig 's/\\r//' README.md
touch -r README.md.orig README.md
rm README.md.orig

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE NOTICE



%changelog
* Fri Jan 27 2023 daviddavid <daviddavid> 1:3.1.1-1.mga9
+ Revision: 1936426
- Version 3.1.1 (fixes antlr-maven-plugin build)
- Convert License tag to SPDX
- Version 3.1.0
- Verify the sources
- Retire alias for old name, not used by anything in Fedora

* Sat Mar 26 2022 umeabot <umeabot> 1:3.0-15.mga9
+ Revision: 1827319
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:3.0-14.mga8
+ Revision: 1491762
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:3.0-13.mga7
+ Revision: 1264082
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1:3.0-12.mga6
+ Revision: 1101552
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1:3.0-10.mga6
+ Revision: 977316
- First rebuild of the java stack
- sync package maven-reporting-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 dmorgan <dmorgan> 1:3.0-8.mga5
+ Revision: 806215
- Fix BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1:3.0-7.mga5
+ Revision: 749764
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:3.0-5.mga4
+ Revision: 534318
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 dmorgan <dmorgan> 1:3.0-4.mga4
+ Revision: 477270
- imported package maven-reporting-api


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 18 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1:3.0-3
- Build with xmvn
- Resolves: rhbz#912437

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1:3.0-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jan 17 2013 Tomas Radej <tradej@redhat.com> - 1:3.0-1
- Initial version

